export default {
    name: 'u-resize-panels',
    props: {
        width: { type: Number, default: 900 }, // 总宽度
        height: { type: Number, default: 452 },
        gap: { type: Number, default: 40 },
        dividerTop: { type: Number, default: 52 },
        minWidth: { type: Number, default: 100 }, // 单个panel的最小宽度
    },
    data() {
        const { width, gap } = this;
        return {
            position: (width - gap) / 2,
        };
    },
    computed: {
        cssProps() {
            return {
                '--body-width': this.width + 'px',
                '--body-height': this.height + 'px',
                '--divider-left': this.position + 'px',
                '--divider-top': this.dividerTop + 'px',
                '--divider-width': this.gap + 'px',
                '--divider-height': this.height - this.dividerTop + 'px',
            };
        },
    },
    methods: {
        onDrag(event) {
            this.position = event.left;
        },
    },
};
